summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2018-04-03 07:01:26 +0200
committerRemi Collet <remi@remirepo.net>2018-04-03 07:01:26 +0200
commit917048810fb21b0d40971c70d10eac4010d11e66 (patch)
treee96972349fac2c3a6e4efef3e757bac471da1914
parente58449f98b7f28583b0a8d6efa91051261a53dd6 (diff)
update to 8.1.16 from FedoraHEADmaster
* Fri Mar 30 2018 Shawn Iwinski <shawn@iwin.ski> - 8.1.16-1 - Update to 8.1.16 - Add range version dependencies for Fedora >= 27 || RHEL >= 8
-rw-r--r--composer.json7
-rw-r--r--drush.spec181
2 files changed, 116 insertions, 72 deletions
diff --git a/composer.json b/composer.json
index 2423d5d..5bc1952 100644
--- a/composer.json
+++ b/composer.json
@@ -2,7 +2,7 @@
"name": "drush/drush",
"description": "Drush is a command line shell and scripting interface for Drupal, a veritable Swiss Army knife designed to make life easier for those of us who spend some of our working hours hacking away at the command prompt.",
"homepage": "http://www.drush.org",
- "license": "GPL-2.0+",
+ "license": "GPL-2.0-or-later",
"minimum-stability": "stable",
"prefer-stable": true,
"authors": [
@@ -36,15 +36,14 @@
"php": ">=5.4.5",
"psr/log": "~1.0",
"psy/psysh": "~0.6",
- "consolidation/annotated-command": "~2",
+ "consolidation/annotated-command": "^2.8.1",
"consolidation/output-formatters": "~3",
"symfony/yaml": "~2.3|^3",
"symfony/var-dumper": "~2.7|^3",
"symfony/console": "~2.7|^3",
"symfony/event-dispatcher": "~2.7|^3",
"symfony/finder": "~2.7|^3",
- "pear/console_table": "~1.3.0",
- "phpdocumentor/reflection-docblock": "^2.0",
+ "pear/console_table": "~1.3.1",
"webmozart/path-util": "~2"
},
"require-dev": {
diff --git a/drush.spec b/drush.spec
index 13f9981..36b7ed2 100644
--- a/drush.spec
+++ b/drush.spec
@@ -2,7 +2,7 @@
#
# Fedora spec file for drush
#
-# Copyright (c) 2015-2017 Shawn Iwinski <shawn@iwin.ski>
+# Copyright (c) 2015-2018 Shawn Iwinski <shawn@iwin.ski>
#
# License: MIT
# http://opensource.org/licenses/MIT
@@ -12,26 +12,23 @@
%global github_owner drush-ops
%global github_name drush
-%global github_version 8.1.15
-%global github_commit f78b619806a9bc7c3d167fa425e8757eb046bb87
+%global github_version 8.1.16
+%global github_commit bbaff2dc725a5f3eb22006c5de3dc92a2de54b08
%global composer_vendor drush
%global composer_project drush
# "php": ">=5.4.5"
%global php_min_ver 5.4.5
-# "consolidation/annotated-command": "~2"
-%global consolidation_annotated_command_min_ver 2
+# "consolidation/annotated-command": "^2.8.1"
+%global consolidation_annotated_command_min_ver 2.8.1
%global consolidation_annotated_command_max_ver 3
# "consolidation/output-formatters": "~3"
%global consolidation_output_formatters_min_ver 3
%global consolidation_output_formatters_max_ver 4
-# "pear/console_table": "~1.3.0"
-%global pear_console_table_min_ver 1.3.0
+# "pear/console_table": "~1.3.1"
+%global pear_console_table_min_ver 1.3.1
%global pear_console_table_max_ver 2.0
-# "phpdocumentor/reflection-docblock": "^2.0"
-%global phpdocumentor_reflection_docblock_min_ver 2.0
-%global phpdocumentor_reflection_docblock_max_ver 3.0
# "psr/log": "~1.0"
# NOTE: Min version not 1.0 because autoloader required
%global psr_log_min_ver 1.0.1
@@ -39,15 +36,20 @@
# "psy/psysh": "~0.6"
%global psysh_min_ver 0.6
%global psysh_max_ver 1.0
-# "symfony/console": "~2.7"
-# "symfony/event-dispatcher": "~2.7"
-# "symfony/finder": "~2.7"
+# "symfony/console": "~2.7",
+# "symfony/console": "~2.7|^3",
+# "symfony/event-dispatcher": "~2.7",
+# "symfony/event-dispatcher": "~2.7|^3",
+# "symfony/finder": "~2.7",
+# "symfony/finder": "~2.7|^3",
# "symfony/process": "2.7.*"
-# "symfony/var-dumper": "~2.7"
-# "symfony/yaml": "~2.3"
+# "symfony/var-dumper": "~2.7",
+# "symfony/yaml": "~2.3",
+# "symfony/var-dumper": "~2.7|^3",
+# "symfony/yaml": "~2.3|^3",
# NOTE: Min version not 2.7.0 because autoloader required
%global symfony_min_ver 2.7.1
-%global symfony_max_ver 3.0
+%global symfony_max_ver 4.0
# "webmozart/path-util": "~2"
%global webmozart_path_util_min_ver 2
%global webmozart_path_util_max_ver 3
@@ -86,29 +88,42 @@ BuildRequires: git >= %{git_min_ver}
BuildRequires: patch
BuildRequires: php-cli
# composer.json
-BuildRequires: php(language) >= %{php_min_ver}
-BuildRequires: php-composer(consolidation/annotated-command) < %{consolidation_annotated_command_max_ver}
-BuildRequires: php-composer(consolidation/annotated-command) >= %{consolidation_annotated_command_min_ver}
-BuildRequires: php-composer(consolidation/output-formatters) < %{consolidation_output_formatters_max_ver}
-BuildRequires: php-composer(consolidation/output-formatters) >= %{consolidation_output_formatters_min_ver}
-BuildRequires: php-composer(pear/console_table) < %{pear_console_table_max_ver}
-BuildRequires: php-composer(pear/console_table) >= %{pear_console_table_min_ver}
-BuildRequires: php-composer(phpdocumentor/reflection-docblock) < %{phpdocumentor_reflection_docblock_max_ver}
-BuildRequires: php-composer(phpdocumentor/reflection-docblock) >= %{phpdocumentor_reflection_docblock_min_ver}
+BuildRequires: php(language) >= %{php_min_ver}
BuildRequires: php-composer(phpunit/phpunit)
-BuildRequires: php-composer(psr/log) < %{psr_log_max_ver}
-BuildRequires: php-composer(psr/log) >= %{psr_log_min_ver}
-BuildRequires: php-composer(psy/psysh) < %{psysh_min_ver}
-BuildRequires: php-composer(psy/psysh) >= %{psysh_min_ver}
-BuildRequires: php-symfony-console
-BuildRequires: php-symfony-event-dispatcher
-BuildRequires: php-symfony-finder
-BuildRequires: php-symfony-process
-BuildRequires: php-symfony-var-dumper
-BuildRequires: php-symfonyyaml
-BuildRequires: php-composer(webmozart/path-util) < %{webmozart_path_util_max_ver}
-BuildRequires: php-composer(webmozart/path-util) >= %{webmozart_path_util_min_ver}
-# phpcompatinfo (computed from version 8.1.10)
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+BuildRequires: (php-composer(consolidation/annotated-command) >= %{consolidation_annotated_command_min_ver} with php-composer(consolidation/annotated-command) < %{consolidation_annotated_command_max_ver})
+BuildRequires: (php-composer(consolidation/output-formatters) >= %{consolidation_output_formatters_min_ver} with php-composer(consolidation/output-formatters) < %{consolidation_output_formatters_max_ver})
+BuildRequires: (php-composer(pear/console_table) >= %{pear_console_table_min_ver} with php-composer(pear/console_table) < %{pear_console_table_max_ver})
+BuildRequires: (php-composer(psr/log) >= %{psr_log_min_ver} with php-composer(psr/log) < %{psr_log_max_ver})
+BuildRequires: (php-composer(psy/psysh) >= %{psysh_min_ver} with php-composer(psy/psysh) < %{psysh_max_ver})
+BuildRequires: (php-composer(symfony/console) >= %{symfony_min_ver} with php-composer(symfony/console) < %{symfony_max_ver})
+BuildRequires: (php-composer(symfony/event-dispatcher) >= %{symfony_min_ver} with php-composer(symfony/event-dispatcher) < %{symfony_max_ver})
+BuildRequires: (php-composer(symfony/finder) >= %{symfony_min_ver} with php-composer(symfony/finder) < %{symfony_max_ver})
+BuildRequires: (php-composer(symfony/process) >= %{symfony_min_ver} with php-composer(symfony/process) < %{symfony_max_ver})
+BuildRequires: (php-composer(symfony/var-dumper) >= %{symfony_min_ver} with php-composer(symfony/var-dumper) < %{symfony_max_ver})
+BuildRequires: (php-composer(symfony/yaml) >= %{symfony_min_ver} with php-composer(symfony/yaml) < %{symfony_max_ver})
+BuildRequires: (php-composer(webmozart/path-util) >= %{webmozart_path_util_min_ver} with php-composer(webmozart/path-util) < %{webmozart_path_util_max_ver})
+%else
+BuildRequires: php-composer(consolidation/annotated-command) < %{consolidation_annotated_command_max_ver}
+BuildRequires: php-composer(consolidation/annotated-command) >= %{consolidation_annotated_command_min_ver}
+BuildRequires: php-composer(consolidation/output-formatters) < %{consolidation_output_formatters_max_ver}
+BuildRequires: php-composer(consolidation/output-formatters) >= %{consolidation_output_formatters_min_ver}
+BuildRequires: php-composer(pear/console_table) < %{pear_console_table_max_ver}
+BuildRequires: php-composer(pear/console_table) >= %{pear_console_table_min_ver}
+BuildRequires: php-composer(psr/log) < %{psr_log_max_ver}
+BuildRequires: php-composer(psr/log) >= %{psr_log_min_ver}
+BuildRequires: php-composer(psy/psysh) < %{psysh_max_ver}
+BuildRequires: php-composer(psy/psysh) >= %{psysh_min_ver}
+BuildRequires: php-composer(symfony/console) < %{symfony_max_ver}
+BuildRequires: php-composer(symfony/event-dispatcher) < %{symfony_max_ver}
+BuildRequires: php-composer(symfony/finder) < %{symfony_max_ver}
+BuildRequires: php-composer(symfony/process) < %{symfony_max_ver}
+BuildRequires: php-composer(symfony/var-dumper) < %{symfony_max_ver}
+BuildRequires: php-composer(symfony/yaml) < %{symfony_max_ver}
+BuildRequires: php-composer(webmozart/path-util) < %{webmozart_path_util_max_ver}
+BuildRequires: php-composer(webmozart/path-util) >= %{webmozart_path_util_min_ver}
+%endif
+# phpcompatinfo (computed from version 8.1.16)
BuildRequires: php-ctype
BuildRequires: php-date
BuildRequires: php-fileinfo
@@ -130,27 +145,39 @@ Requires: git >= %{git_min_ver}
Requires: patch
Requires: php-cli
# composer.json
-Requires: php(language) >= %{php_min_ver}
-Requires: php-composer(consolidation/annotated-command) < %{consolidation_annotated_command_max_ver}
-Requires: php-composer(consolidation/annotated-command) >= %{consolidation_annotated_command_min_ver}
-Requires: php-composer(consolidation/output-formatters) < %{consolidation_output_formatters_max_ver}
-Requires: php-composer(consolidation/output-formatters) >= %{consolidation_output_formatters_min_ver}
-Requires: php-composer(pear/console_table) >= %{pear_console_table_min_ver}
-Requires: php-composer(phpdocumentor/reflection-docblock) < %{phpdocumentor_reflection_docblock_max_ver}
-Requires: php-composer(phpdocumentor/reflection-docblock) >= %{phpdocumentor_reflection_docblock_min_ver}
+Requires: php(language) >= %{php_min_ver}
Requires: php-composer(phpunit/phpunit)
-Requires: php-composer(psr/log) < %{psr_log_max_ver}
-Requires: php-composer(psr/log) >= %{psr_log_min_ver}
-Requires: php-composer(psy/psysh) < %{psysh_max_ver}
-Requires: php-composer(psy/psysh) >= %{psysh_min_ver}
-Requires: php-symfony-console
-Requires: php-symfony-event-dispatcher
-Requires: php-symfony-finder
-Requires: php-symfony-var-dumper
-Requires: php-symfony-yaml
-Requires: php-composer(webmozart/path-util) < %{webmozart_path_util_max_ver}
-Requires: php-composer(webmozart/path-util) >= %{webmozart_path_util_min_ver}
-# phpcompatinfo (computed from version 8.1.10)
+%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
+Requires: (php-composer(consolidation/annotated-command) >= %{consolidation_annotated_command_min_ver} with php-composer(consolidation/annotated-command) < %{consolidation_annotated_command_max_ver})
+Requires: (php-composer(consolidation/output-formatters) >= %{consolidation_output_formatters_min_ver} with php-composer(consolidation/output-formatters) < %{consolidation_output_formatters_max_ver})
+Requires: (php-composer(pear/console_table) >= %{pear_console_table_min_ver} with php-composer(pear/console_table) < %{pear_console_table_max_ver})
+Requires: (php-composer(psr/log) >= %{psr_log_min_ver} with php-composer(psr/log) < %{psr_log_max_ver})
+Requires: (php-composer(psy/psysh) >= %{psysh_min_ver} with php-composer(psy/psysh) < %{psysh_max_ver})
+Requires: (php-composer(symfony/console) >= %{symfony_min_ver} with php-composer(symfony/console) < %{symfony_max_ver})
+Requires: (php-composer(symfony/event-dispatcher) >= %{symfony_min_ver} with php-composer(symfony/event-dispatcher) < %{symfony_max_ver})
+Requires: (php-composer(symfony/finder) >= %{symfony_min_ver} with php-composer(symfony/finder) < %{symfony_max_ver})
+Requires: (php-composer(symfony/var-dumper) >= %{symfony_min_ver} with php-composer(symfony/var-dumper) < %{symfony_max_ver})
+Requires: (php-composer(symfony/yaml) >= %{symfony_min_ver} with php-composer(symfony/yaml) < %{symfony_max_ver})
+Requires: (php-composer(webmozart/path-util) >= %{webmozart_path_util_min_ver} with php-composer(webmozart/path-util) < %{webmozart_path_util_max_ver})
+%else
+Requires: php-composer(consolidation/annotated-command) < %{consolidation_annotated_command_max_ver}
+Requires: php-composer(consolidation/annotated-command) >= %{consolidation_annotated_command_min_ver}
+Requires: php-composer(consolidation/output-formatters) < %{consolidation_output_formatters_max_ver}
+Requires: php-composer(consolidation/output-formatters) >= %{consolidation_output_formatters_min_ver}
+Requires: php-composer(pear/console_table) >= %{pear_console_table_min_ver}
+Requires: php-composer(psr/log) < %{psr_log_max_ver}
+Requires: php-composer(psr/log) >= %{psr_log_min_ver}
+Requires: php-composer(psy/psysh) < %{psysh_max_ver}
+Requires: php-composer(psy/psysh) >= %{psysh_min_ver}
+Requires: php-composer(symfony/console) < %{symfony_max_ver}
+Requires: php-composer(symfony/event-dispatcher) < %{symfony_max_ver}
+Requires: php-composer(symfony/finder) < %{symfony_max_ver}
+Requires: php-composer(symfony/var-dumper) < %{symfony_max_ver}
+Requires: php-composer(symfony/yaml) < %{symfony_max_ver}
+Requires: php-composer(webmozart/path-util) < %{webmozart_path_util_max_ver}
+Requires: php-composer(webmozart/path-util) >= %{webmozart_path_util_min_ver}
+%endif
+# phpcompatinfo (computed from version 8.1.16)
Requires: php-ctype
Requires: php-date
Requires: php-fileinfo
@@ -231,17 +258,28 @@ require_once '%{phpdir}/Fedora/Autoloader/autoload.php';
\Fedora\Autoloader\Dependencies::required([
'%{phpdir}/Consolidation/AnnotatedCommand/autoload.php',
'%{phpdir}/Consolidation/OutputFormatters/autoload.php',
- [
- '%{phpdir}/phpDocumentor/Reflection/DocBlock2/autoload.php',
- '%{phpdir}/phpDocumentor/Reflection/DocBlock/autoload.php',
- ],
'%{phpdir}/Psr/Log/autoload.php',
'%{phpdir}/Psy/autoload.php',
- '%{phpdir}/Symfony/Component/Console/autoload.php',
- '%{phpdir}/Symfony/Component/EventDispatcher/autoload.php',
- '%{phpdir}/Symfony/Component/Finder/autoload.php',
- '%{phpdir}/Symfony/Component/VarDumper/autoload.php',
- '%{phpdir}/Symfony/Component/Yaml/autoload.php',
+ [
+ '%{phpdir}/Symfony3/Component/Console/autoload.php',
+ '%{phpdir}/Symfony/Component/Console/autoload.php',
+ ],
+ [
+ '%{phpdir}/Symfony3/Component/EventDispatcher/autoload.php',
+ '%{phpdir}/Symfony/Component/EventDispatcher/autoload.php',
+ ],
+ [
+ '%{phpdir}/Symfony3/Component/Finder/autoload.php',
+ '%{phpdir}/Symfony/Component/Finder/autoload.php',
+ ],
+ [
+ '%{phpdir}/Symfony3/Component/VarDumper/autoload.php',
+ '%{phpdir}/Symfony/Component/VarDumper/autoload.php',
+ ],
+ [
+ '%{phpdir}/Symfony3/Component/Yaml/autoload.php',
+ '%{phpdir}/Symfony/Component/Yaml/autoload.php',
+ ],
'%{phpdir}/Webmozart/PathUtil/autoload.php',
]);
@@ -274,7 +312,10 @@ cat <<'AUTOLOAD' | tee tests-autoload.php
require_once '%{buildroot}%{drush_dir}/autoload.php';
\Fedora\Autoloader\Autoload::addPsr4('Unish\\', __DIR__.'/tests');
\Fedora\Autoloader\Dependencies::required([
- '%{phpdir}/Symfony/Component/Process/autoload.php',
+ [
+ '%{phpdir}/Symfony3/Component/Process/autoload.php',
+ '%{phpdir}/Symfony/Component/Process/autoload.php',
+ ],
]);
AUTOLOAD
@@ -321,6 +362,10 @@ UNISH_DRUSH=%{buildroot}%{drush_dir}/drush \
%changelog
+* Fri Mar 30 2018 Shawn Iwinski <shawn@iwin.ski> - 8.1.16-1
+- Update to 8.1.16
+- Add range version dependencies for Fedora >= 27 || RHEL >= 8
+
* Mon Jan 8 2018 Remi Collet <remi@remirepo.net> - 8.1.15-1
- Update to 8.1.15